Package org.zeromq

# Class ZContextTest

java.lang.Object
org.zeromq.ZContextTest

public class ZContextTest extends Object
Tests high-level ZContext class

## Constructor Summary

Constructors
Constructor
Description
`ZContextTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`testAddingSockets()`
`void`
`testConstruction()`
`void`
`testDestruction()`
`void`
`testRemovingSockets()`
`void`
`testShadow()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZContextTest

public ZContextTest()

## Method Details

### testConstruction

public void testConstruction()

### testDestruction

public void testDestruction()

### testAddingSockets

public void testAddingSockets() throws ZMQException

Throws:
  `ZMQException`

### testRemovingSockets

public void testRemovingSockets() throws ZMQException

Throws:
  `ZMQException`

### testShadow

public void testShadow()